Index: branches/2521_ProblemRefactoring/Installers/HiveJanitorServiceInstaller.nsi
===================================================================
--- branches/2521_ProblemRefactoring/Installers/HiveJanitorServiceInstaller.nsi	(revision 17226)
+++ branches/2521_ProblemRefactoring/Installers/HiveJanitorServiceInstaller.nsi	(revision 17586)
@@ -46,7 +46,9 @@
 	SetOutPath $INSTDIR
 
-	File "${JANITORBUILDPATH}\GeoIP.dat"
+	File "${JANITORBUILDPATH}\Google.Protobuf.dll"
+	File "${JANITORBUILDPATH}\HEAL.Attic.dll"
+	;File "${JANITORBUILDPATH}\GeoIP.dat"
 	File "${JANITORBUILDPATH}\HeuristicLab.Common-3.3.dll"
-	File "${JANITORBUILDPATH}\HeuristicLab.Persistence-3.3.dll"
+	;File "${JANITORBUILDPATH}\HeuristicLab.Persistence-3.3.dll"
 	File "${JANITORBUILDPATH}\HeuristicLab.PluginInfrastructure-3.3.dll"
 	File "${JANITORBUILDPATH}\HeuristicLab.Services.Access.dll"
@@ -56,5 +58,5 @@
 	File "${JANITORBUILDPATH}\HeuristicLab.Services.Hive.JanitorService-3.3.exe.config"
 	File "${JANITORBUILDPATH}\HeuristicLab.Services.Hive-3.3.dll"
-	File "${JANITORBUILDPATH}\HeuristicLab.Tracing-3.3.dll"
+	;File "${JANITORBUILDPATH}\HeuristicLab.Tracing-3.3.dll"
 	
 	WriteRegStr HKLM SOFTWARE\HeuristicLabHiveJanitorService "Install_Dir" "$INSTDIR"
@@ -76,14 +78,17 @@
 	nsExec::ExecToLog '"$INSTDIR\HeuristicLab.Services.Hive.JanitorService-3.3.exe" --uninstall'
 	  
-	Delete "$INSTDIR\GeoIP.dat"
+	Delete "$INSTDIR\Google.Protobuf.dll"
+	Delete "$INSTDIR\HEAL.Attic.dll"
+	;Delete "$INSTDIR\GeoIP.dat"
 	Delete "$INSTDIR\HeuristicLab.Common-3.3.dll"
-	Delete "$INSTDIR\HeuristicLab.Persistence-3.3.dll"
+	;Delete "$INSTDIR\HeuristicLab.Persistence-3.3.dll"
 	Delete "$INSTDIR\HeuristicLab.PluginInfrastructure-3.3.dll"
 	Delete "$INSTDIR\HeuristicLab.Services.Access.dll"
+	Delete "$INSTDIR\HeuristicLab.Services.Access.DataAccess.dll"
 	Delete "$INSTDIR\HeuristicLab.Services.Hive.DataAccess-3.3.dll"
 	Delete "$INSTDIR\HeuristicLab.Services.Hive.JanitorService-3.3.exe"
 	Delete "$INSTDIR\HeuristicLab.Services.Hive.JanitorService-3.3.exe.config"
 	Delete "$INSTDIR\HeuristicLab.Services.Hive-3.3.dll"
-	Delete "$INSTDIR\HeuristicLab.Tracing-3.3.dll"
+	;Delete "$INSTDIR\HeuristicLab.Tracing-3.3.dll"
 	Delete "$INSTDIR\uninstall.exe"
 
Index: branches/2521_ProblemRefactoring/Installers/HiveSlaveInstaller.nsi
===================================================================
--- branches/2521_ProblemRefactoring/Installers/HiveSlaveInstaller.nsi	(revision 17226)
+++ branches/2521_ProblemRefactoring/Installers/HiveSlaveInstaller.nsi	(revision 17586)
@@ -46,6 +46,8 @@
 	SetOutPath $INSTDIR
 
+	File "${SLAVEBUILDPATH}\Google.Protobuf.dll"
+	File "${SLAVEBUILDPATH}\HEAL.Attic.dll"
+	File "${SLAVEBUILDPATH}\HeuristicLab.Clients.Common-3.3.dll"
 	File "${SLAVEBUILDPATH}\HeuristicLab.Clients.Hive.Slave.WindowsService.exe"
-	File "${SLAVEBUILDPATH}\HeuristicLab.Clients.Common-3.3.dll"
 	File "${SLAVEBUILDPATH}\HeuristicLab.Clients.Hive.Slave.WindowsService.exe.config"
 	File "${SLAVEBUILDPATH}\HeuristicLab.Clients.Hive.SlaveCore-3.3.dll"
@@ -82,25 +84,6 @@
 
 	nsExec::ExecToLog '"$INSTDIR\HeuristicLab.Clients.Hive.Slave.WindowsService.exe" --uninstall'
-	  
-	Delete $INSTDIR\HeuristicLab.Clients.Hive.Slave.WindowsService.exe
-	Delete $INSTDIR\HeuristicLab.Clients.Common-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Clients.Hive.Slave.WindowsService.exe.config
-	Delete $INSTDIR\HeuristicLab.Clients.Hive.SlaveCore-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Clients.Hive-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Collections-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Common.Resources-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Common-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Core-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Data-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Hive-3.3.dll
-	Delete $INSTDIR\HeuristicLab.MainForm-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Optimization-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Parameters-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Persistence-3.3.dll
-	Delete $INSTDIR\HeuristicLab.PluginInfrastructure-3.3.dll
-	Delete $INSTDIR\HeuristicLab.Tracing-3.3.dll
-	Delete $INSTDIR\uninstall.exe
 
-	RMDir "$INSTDIR"
+	RMDir /r "$INSTDIR"
 SectionEnd
 
